Update API key
curl --request PATCH \
--url https://api.uplint.dev/api/v1/api-keys/{api_key_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Backend Service v2",
"scopes": [
"upload",
"download",
"metadata",
"delete"
]
}
'import requests
url = "https://api.uplint.dev/api/v1/api-keys/{api_key_id}"
payload = {
"name": "Backend Service v2",
"scopes": ["upload", "download", "metadata", "delete"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Backend Service v2',
scopes: ['upload', 'download', 'metadata', 'delete']
})
};
fetch('https://api.uplint.dev/api/v1/api-keys/{api_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "<string>",
"data": {
"api_key_id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"key_prefix": "<string>",
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": "ERROR",
"message": "Invalid or missing API key",
"errors": [
"Authentication required"
],
"timestamp": "2026-02-10T12:00:00Z"
}{
"status": "ERROR",
"message": "Resource not found",
"errors": [
"Not found"
],
"timestamp": "2026-02-10T12:00:00Z"
}{
"status": "ERROR",
"message": "Validation error",
"errors": [
"name: field required"
],
"timestamp": "2026-02-10T12:00:00Z"
}API Keys
Update API Key
Update the name, scopes, status, or metadata of an existing API key.
PATCH
/
api
/
v1
/
api-keys
/
{api_key_id}
Update API key
Authorizations
Pass an API key or JWT token. API keys can be sent as Authorization: Bearer <key> or Authorization: <key>.
Path Parameters
The API key's unique identifier.
Body
application/json
Was this page helpful?
⌘I

